Loading...
Searching...
No Matches
pappso::masschroq::PeptideLabel Class Reference

`#include <peptidelabel.h>`

Inheritance diagram for pappso::masschroq::PeptideLabel:

## Public Member Functions

| PeptideLabel (const pappso::PeptideSp &labelled_peptide_p, const Peptide *parent_peptide_p, const QString &label)
virtual | ~PeptideLabel ()
const QString & | getLabel () const
Public Member Functions inherited from pappso::masschroq::PeptideBase
| PeptideBase (const pappso::PeptideSp &peptide_sp)
virtual | ~PeptideBase ()
virtual const pappso::PeptideSp & | getPappsoPeptideSp () const
| get the peptide sequence
virtual void | computeIsotopologues (double ni_min_abundance)
| compute possible isotopes for this molecule
virtual const pappso::PeptideNaturalIsotopeList * | getPeptideNaturalIsotopeList () const
| get list of isotopes for this peptide needs computeIsotopologues before
virtual const std::vector< pappso::PeptideNaturalIsotopeAverageSp > & | getPeptideNaturalIsotopeAverageSpList (pappso::PrecisionPtr precision, std::uint8_t charge, double ni_min_abundance)
| get possible and distinguishable masses of isotopes get list of distinguishable isotopes given the charge and mass precision

## Private Attributes

const Peptide * | mp_mcqlPeptide
QString | m_label

## Additional Inherited Members

Protected Attributes inherited from pappso::masschroq::PeptideBase
const pappso::PeptideSp | msp_peptide
pappso::PeptideNaturalIsotopeList * | mpa_peptideNaturalIsotopeList = nullptr
std::map< std::uint8_t, std::vector< pappso::PeptideNaturalIsotopeAverageSp > > | m_peptideNaturalIsotopeAverageSpListByCharge
double | m_niMinAbundance = 0
QMutex | m_mutex

## Detailed Description

Todo
  write docs

Definition at line 39 of file peptidelabel.h.

## Constructor & Destructor Documentation

## PeptideLabel()

pappso::masschroq::PeptideLabel::PeptideLabel | ( | const pappso::PeptideSp & | labelled_peptide_p,
|  | const Peptide * | parent_peptide_p,
|  | const QString & | label )

Default constructor

Definition at line 33 of file peptidelabel.cpp.

: PeptideBase(labelled_peptide_p), mp_mcqlPeptide(parent_peptide_p)
{
m_label = label;
}
pappso::masschroq::PeptideBase::PeptideBase
PeptideBase(const pappso::PeptideSp &peptide_sp)
Definition peptidebase.cpp:31
pappso::masschroq::PeptideLabel::m_label
QString m_label
Definition peptidelabel.h:59
pappso::masschroq::PeptideLabel::mp_mcqlPeptide
const Peptide * mp_mcqlPeptide
Definition peptidelabel.h:58

References pappso::masschroq::PeptideBase::PeptideBase(), m_label, and mp_mcqlPeptide.

## ~PeptideLabel()

pappso::masschroq::PeptideLabel::~PeptideLabel | ( |  | ) |

virtual

Destructor

Definition at line 41 of file peptidelabel.cpp.

{
if(mpa_peptideNaturalIsotopeList != nullptr)
delete mpa_peptideNaturalIsotopeList;
}
pappso::masschroq::PeptideBase::mpa_peptideNaturalIsotopeList
pappso::PeptideNaturalIsotopeList * mpa_peptideNaturalIsotopeList
Definition peptidebase.h:89

References pappso::masschroq::PeptideBase::mpa_peptideNaturalIsotopeList.

## Member Function Documentation

## getLabel()

const QString & pappso::masschroq::PeptideLabel::getLabel | ( |  | ) | const

Definition at line 48 of file peptidelabel.cpp.

{
return m_label;
}

References m_label.

Referenced by pappso::masschroq::CborOutputStream::writeMeasurement().

## Member Data Documentation

## m_label

QString pappso::masschroq::PeptideLabel::m_label

private

Definition at line 59 of file peptidelabel.h.

Referenced by PeptideLabel(), and getLabel().

## mp_mcqlPeptide

const Peptide* pappso::masschroq::PeptideLabel::mp_mcqlPeptide

private

Definition at line 58 of file peptidelabel.h.

Referenced by PeptideLabel().

The documentation for this class was generated from the following files:

- pappsomspp/core/masschroq/peptidelabel.h
- pappsomspp/core/masschroq/peptidelabel.cpp